﻿using System;
using System.IO;
using System.Text;
using System.Reflection;
using System.Collections.Generic;
using SimpleScanner;
using SimpleParser;

namespace SimpleCompiler
{
    public class SimpleCompilerMain
    {
        public static void Main()
        {
            string FileName = "D:\\a.txt";
            StreamReader sr = new StreamReader(FileName);
            string Text = sr.ReadToEnd();
            sr.Close();
            
            Scanner scanner = new Scanner();
            scanner.SetSource(Text, 0);
            
            Parser parser = new Parser(scanner);

            try
            {
                var b = parser.Parse();
                Console.WriteLine("Синтаксическое дерево построено");
                Console.WriteLine(parser.root); //содержит корень синтаксического дерева
            }
            catch(Exception e)
            {
                Console.WriteLine(e.Message);
            }

            Console.ReadLine();
        }

    }
}
